E-commerce API
POST /services/webshop/v1/customer/auth/password/reset Public

Reset customer password

Sets a new password using a token delivered by email. On success the email is also marked verified, since completing the reset flow proves email ownership.

Request Body Required

FieldTypeRequiredDescriptionExample
project_id integer Yes 1
email string (email)
max: 191
Yes jane@example.com
token string Yes 7K3xLq9mP2rN5vB8yT6wF4jH1sA0cE
password string
max: 191
Yes new-correct-horse-battery-staple
password_confirmation string
max: 191
Yes

Responses

200
400
422
429
Password reset
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
data string[]
Invalid or expired token
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
data mixed[]
Validation error
FieldTypeDescription
message string Errors overview.
errors object A detailed description of each field that failed validation.
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/webshop/v1/customer/auth/password/reset" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "project_id": 1,
    "email": "jane@example.com",
    "token": "7K3xLq9mP2rN5vB8yT6wF4jH1sA0cE",
    "password": "new-correct-horse-battery-staple",
    "password_confirmation": "string"
}'
fetch('https://api.wemasy.nl/api/services/webshop/v1/customer/auth/password/reset', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "project_id": 1,
    "email": "jane@example.com",
    "token": "7K3xLq9mP2rN5vB8yT6wF4jH1sA0cE",
    "password": "new-correct-horse-battery-staple",
    "password_confirmation": "string"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/webshop/v1/customer/auth/password/reset', {
    "project_id": 1,
    "email": "jane@example.com",
    "token": "7K3xLq9mP2rN5vB8yT6wF4jH1sA0cE",
    "password": "new-correct-horse-battery-staple",
    "password_confirmation": "string"
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "project_id": 1,
    "email": "jane@example.com",
    "token": "7K3xLq9mP2rN5vB8yT6wF4jH1sA0cE",
    "password": "new-correct-horse-battery-staple",
    "password_confirmation": "string"
}
r = requests.post("https://api.wemasy.nl/api/services/webshop/v1/customer/auth/password/reset", headers=headers, json=data)
print(r.json())
Response Example
{
    "message": "Password has been reset."
}

Try It
Request Body Required

Export